ru.bitel.bgbilling.modules.inet.radius

## Class InetNasList

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.radius.nas.NasList<InetNasConnection,InetNas>
  - - ru.bitel.bgbilling.modules.inet.radius.InetNasList

-     public class InetNasList
      extends ru.bitel.bgbilling.kernel.network.radius.nas.NasList<InetNasConnection,InetNas>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetNasList(ru.bitel.bgbilling.modules.inet.access.Access access, ru.bitel.bgbilling.modules.inet.accounting.Accounting accounting)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load(DefaultServerSetup setup, RadiusProcessor<InetNasConnection,InetNas,?> _processor, java.sql.Connection con, int mid)`
    `protected InetNas` | `newNas(DefaultServerSetup setup, RadiusProcessor<InetNasConnection,InetNas,?> processor, int id, InetNas oldNas, java.net.InetAddress nasIPAddress, java.lang.String nasIdentifier, int vendorCode, ParameterMap conf, byte[] secret, java.util.concurrent.ConcurrentMap<java.lang.Object,InetNasConnection> connections, java.lang.String _nil, ru.bitel.bgbilling.kernel.network.radius.nas.NasConnectionInspector inspector, java.lang.Object... params)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.nas.NasList

      `connections, get, get, get, getInstance, nases, setNas, setNas`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetNasList

          public InetNasList(ru.bitel.bgbilling.modules.inet.access.Access access,
                             ru.bitel.bgbilling.modules.inet.accounting.Accounting accounting)

  - ### Method Detail

    - #### newNas

          protected InetNas newNas(DefaultServerSetup setup,
                                   RadiusProcessor<InetNasConnection,InetNas,?> processor,
                                   int id,
                                   InetNas oldNas,
                                   java.net.InetAddress nasIPAddress,
                                   java.lang.String nasIdentifier,
                                   int vendorCode,
                                   ParameterMap conf,
                                   byte[] secret,
                                   java.util.concurrent.ConcurrentMap<java.lang.Object,InetNasConnection> connections,
                                   java.lang.String _nil,
                                   ru.bitel.bgbilling.kernel.network.radius.nas.NasConnectionInspector inspector,
                                   java.lang.Object... params)

      Specified by:
        `newNas` in class `ru.bitel.bgbilling.kernel.network.radius.nas.NasList<InetNasConnection,InetNas>`

    - #### load

          public void load(DefaultServerSetup setup,
                           RadiusProcessor<InetNasConnection,InetNas,?> _processor,
                           java.sql.Connection con,
                           int mid)

      Overrides:
        `load` in class `ru.bitel.bgbilling.kernel.network.radius.nas.NasList<InetNasConnection,InetNas>`